@echo off
call set_env.bat

echo .
echo 　このサンプルは hello_window.rs をデバッグモードで実行します。
echo 　初めに debug.txt に記述されたデバッグコマンドを実行します。
echo .
echo l         : ソース表示
echo bp set 22 : ブレークポイント設定（22行目）
echo g         : 実行
echo d         : 変数の内容表示
echo .
echo 　ウィンドウを閉じるとブレークポイントで停止し、d コマンドで変数の内容が表示されます。
echo 　そのまま実行を継続して終了させるには g コマンドを実行してください。
echo .

rosetta /debug src\hello_window.rs /dbin debug.txt

pause
